
<nav class="navbar navbar-expand-sm navbar-dark bg-dark">
  <a class="navbar-brand" href="{{ path('home')}}">Camping Symfony</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor02" aria-controls="navbarColor02" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarColor02">
    <ul class="navbar-nav mr-auto ">
    {% if app.user %}
    
    
      {% if app.user.userRole.title == "ROLE_ADMIN" %}
        <li class="nav-item dropdown ">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Admin</a>
          <div class="dropdown-menu">
            <a class="dropdown-item" href="{{path('admin_add_bien')}}">creer un bien</a>
            <a class="dropdown-item" href="#">Creer un Proprietaire</a>
            <a class="dropdown-item" href="{{path('admin_all_reservations')}}">Les Reservations</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="#">Separated link</a>
          </div>
        </li>


        <li class="nav-item ">
          <a class="nav-link" href="#"> Admin</a>
        </li>
      
      {% endif %}
      {% if app.user.userRole.title == "ROLE_PROPRIETAIRE" %}
        <li class="nav-item ">
          <a class="nav-link" href="#"> PROPRIETAIRE</a>
        </li>
      
      {% endif %}
      {% if app.user.userRole.title == "ROLE_CLIENT" %}
         
          <li class="nav-item dropdown ">
          <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Client</a>
          <div class="dropdown-menu">
            <a class="dropdown-item" href="/changes_reservation">Modifier ma reservation</a>
            <a class="dropdown-item" href="{{path('account_show_facture')}}">Ma facture</a>
            <a class="dropdown-item" href="#"></a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="#">Separated link</a>
          </div>
        </li>


      
      {% endif %}
    {% endif %}

    </ul>
    <ul class="navbar-nav ml-auto">
    
    {% if app.user %}
    <li class="nav-item ">
        <a class="nav-link" href="{{path('account_logout')}}">Deconnexion</a>
    </li>


    {% else %}

        <li class="nav-item ">
            <a class="nav-link" href="{{path('account_login')}}">Connexion</a>
        </li>

        <li class="nav-item">
            <a class="nav-link" href="{{path('account_register')}}">Inscription</a>
        </li>

    {% endif %}
    </ul>


    
  </div>
</nav>

{% for label, messages in app.flashes %}
    <div class="container">
        <div class="alert alert-dismissible alert-{{ label }}">
            {% for message in messages %}
                <button type="button" class="close" data-dismiss="alert">&times;</button>

                <p>{{ message | raw}}</p>
            {% endfor %}

        </div>
    </div>    
{% endfor %}



